Signatures

Signature List

GET
/signatures/signature/list

Retrieves a list of all signatures associated with the authenticated user.

  • Each signature includes the following metadata:
    • Unique ID
    • Whether the signature is marked as default
    • Base64-encoded image data Deliberately omits the signature value/data - use signature/{signatureId}/get to retrieve it.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/signatures/signature/list"
{  "signature": [    {      "id": "123e4567-e89b-12d3-a456-426614174000",      "isDefault": true    }  ]}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}